Component.AccessibleAWTComponent.AccessibleAWTComponentHandler (Java SE 17 & JDK 17)
Description: declaration: module: java.desktop, package: java.awt, class: Component, class: AccessibleAWTComponent, class: AccessibleAWTComponentHandler
Keywords: java.awt.Component.AccessibleAWTComponent.AccessibleAWTComponentHandler class

Module java.desktop
Package java.awt

# Class Component.AccessibleAWTComponent.AccessibleAWTComponentHandler

java.lang.Object
java.awt.Component.AccessibleAWTComponent.AccessibleAWTComponentHandler

All Implemented Interfaces:
  `ComponentListener`, `Serializable`, `EventListener`

Enclosing class:
  Component.AccessibleAWTComponent

protected class Component.AccessibleAWTComponent.AccessibleAWTComponentHandler extends Object implements ComponentListener, Serializable
Fire PropertyChange listener, if one is registered, when shown/hidden..

Since:
  1.3
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AccessibleAWTComponentHandler()`
  Constructs an `AccessibleAWTComponentHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `componentHidden(ComponentEvent e)`
  Invoked when the component has been made invisible.
  `void`
  `componentMoved(ComponentEvent e)`
  Invoked when the component's position changes.
  `void`
  `componentResized(ComponentEvent e)`
  Invoked when the component's size changes.
  `void`
  `componentShown(ComponentEvent e)`
  Invoked when the component has been made visible.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccessibleAWTComponentHandler

    protected AccessibleAWTComponentHandler()
    Constructs an `AccessibleAWTComponentHandler`.

- ## Method Details

  - ### componentHidden

    public void componentHidden(ComponentEvent e)
    Description copied from interface: `ComponentListener`
    Invoked when the component has been made invisible.
    Specified by:
      `componentHidden` in interface `ComponentListener`
    Parameters:
      `e` - the event to be processed

  - ### componentShown

    public void componentShown(ComponentEvent e)
    Description copied from interface: `ComponentListener`
    Invoked when the component has been made visible.
    Specified by:
      `componentShown` in interface `ComponentListener`
    Parameters:
      `e` - the event to be processed

  - ### componentMoved

    public void componentMoved(ComponentEvent e)
    Description copied from interface: `ComponentListener`
    Invoked when the component's position changes.
    Specified by:
      `componentMoved` in interface `ComponentListener`
    Parameters:
      `e` - the event to be processed

  - ### componentResized

    public void componentResized(ComponentEvent e)
    Description copied from interface: `ComponentListener`
    Invoked when the component's size changes.
    Specified by:
      `componentResized` in interface `ComponentListener`
    Parameters:
      `e` - the event to be processed